{"openapi": "3.1.0", "info": {"title": "Officely public API", "version": "v1", "description": "Chatbots, AI flows, customers, conversations, messages and webhooks of your Officely account. Errors are problem+json; personal data is masked unless the key has conversations:read_pii and the request says redact=false. Scopes: account:read, account:write, ai_flows:publish, ai_flows:read, ai_flows:write, builders:publish, builders:read, builders:test, builders:write, conversations:read, conversations:read_pii, conversations:write, customers:read, customers:write, messages:send, schedules:read, schedules:write, webhooks:manage."}, "servers": [{"url": "https://api.officely.ai/v1/public"}, {"url": "https://api-dev.officely.ai/v1/public"}], "security": [{"ApiKey": []}], "paths": {"/agents": {"get": {"operationId": "list_agents", "summary": "List agents", "description": "Scopes: builders:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["agents"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_builders_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/ai-credits": {"get": {"operationId": "ai_credits", "summary": "Ai credits", "description": "Scopes: account:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["ai-credits"], "security": [{"ApiKey": []}], "x-required-scopes": ["account:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_account_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/ai-credits/usage": {"get": {"operationId": "ai_credits_usage", "summary": "Ai credits usage", "description": "Scopes: account:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["ai-credits"], "security": [{"ApiKey": []}], "x-required-scopes": ["account:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_account_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/ai-flows": {"get": {"operationId": "list_flows", "summary": "List flows", "description": "Scopes: ai_flows:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_ai_flows_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}, "post": {"operationId": "create_flow", "summary": "Create flow", "description": "Scopes: ai_flows:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_ai_flows_bp", "parameters": [{"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.create", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/ai-flows/{agent_id}": {"get": {"operationId": "get_flow", "summary": "Get flow", "description": "Scopes: ai_flows:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}, "delete": {"operationId": "delete_flow", "summary": "Delete flow", "description": "Scopes: ai_flows:publish. Rate limit: 10 requests per 600 s per key (publish). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:publish"], "x-rate-limit-bucket": "publish", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.delete"}}, "/ai-flows/{agent_id}/build": {"post": {"operationId": "build", "summary": "Build", "description": "Scopes: ai_flows:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.build", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/ai-flows/{agent_id}/nodes": {"post": {"operationId": "add_node", "summary": "Add node", "description": "Scopes: ai_flows:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.node.create", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/ai-flows/{agent_id}/nodes/{node_id}": {"patch": {"operationId": "update_node", "summary": "Update node", "description": "Scopes: ai_flows:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "node_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.node.update", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}, "delete": {"operationId": "delete_node", "summary": "Delete node", "description": "Scopes: ai_flows:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "node_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.node.delete"}}, "/ai-flows/{agent_id}/nodes/{node_id}/output-schema": {"put": {"operationId": "output_schema", "summary": "Output schema", "description": "Scopes: ai_flows:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "node_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.node.schema", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/ai-flows/{agent_id}/publish": {"post": {"operationId": "publish", "summary": "Publish", "description": "Scopes: ai_flows:publish. Rate limit: 10 requests per 600 s per key (publish). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:publish"], "x-rate-limit-bucket": "publish", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.publish", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/ai-flows/{agent_id}/retrieval-preview": {"post": {"operationId": "retrieval_preview", "summary": "Retrieval preview", "description": "Scopes: ai_flows:read, builders:test. Rate limit: 30 requests per 600 s per key (test). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:read", "builders:test"], "x-rate-limit-bucket": "test", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.retrieval_preview", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/ai-flows/{agent_id}/rollback": {"post": {"operationId": "rollback", "summary": "Rollback", "description": "Scopes: ai_flows:publish. Rate limit: 10 requests per 600 s per key (publish). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:publish"], "x-rate-limit-bucket": "publish", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.rollback", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/ai-flows/{agent_id}/settings": {"patch": {"operationId": "settings", "summary": "Settings", "description": "Scopes: ai_flows:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.settings", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/ai-flows/{agent_id}/test": {"post": {"operationId": "run_test", "summary": "Run test", "description": "Scopes: ai_flows:read, builders:test. Rate limit: 30 requests per 600 s per key (test). Write: send an Idempotency-Key; audited.", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:read", "builders:test"], "x-rate-limit-bucket": "test", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "ai_flow.test", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/ai-flows/{agent_id}/validation": {"get": {"operationId": "get_validation", "summary": "Get validation", "description": "Scopes: ai_flows:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/ai-flows/{agent_id}/versions": {"get": {"operationId": "get_versions", "summary": "Get versions", "description": "Scopes: ai_flows:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_ai_flows_bp", "parameters": [{"name": "agent_id", "in": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/ai-flows/node-types": {"get": {"operationId": "node_types", "summary": "Node types", "description": "Scopes: ai_flows:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["ai-flows"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_ai_flows_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/ai-models": {"get": {"operationId": "ai_models", "summary": "Ai models", "description": "Scopes: ai_flows:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["ai-models"], "security": [{"ApiKey": []}], "x-required-scopes": ["ai_flows:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_ai_flows_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/api-keys": {"get": {"operationId": "api_keys", "summary": "Api keys", "description": "Scopes: account:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["api-keys"], "security": [{"ApiKey": []}], "x-required-scopes": ["account:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_account_extras_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/bot-messages/account": {"get": {"operationId": "get_account_messages", "summary": "Get account messages", "description": "Scopes: account:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["bot-messages"], "security": [{"ApiKey": []}], "x-required-scopes": ["account:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_account_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}, "put": {"operationId": "put_account_messages", "summary": "Put account messages", "description": "Scopes: account:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["bot-messages"], "security": [{"ApiKey": []}], "x-required-scopes": ["account:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_account_bp", "parameters": [{"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "bot_messages.account.update", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/bot-messages/catalog": {"get": {"operationId": "bot_messages_catalog", "summary": "Bot messages catalog", "description": "Scopes: builders:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["bot-messages"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_chatbots_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/builder-templates": {"get": {"operationId": "list_templates", "summary": "List templates", "description": "Scopes: builders:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["builder-templates"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:read"], "x-rate-limit-bucket": "read", "x-source": "routes.bot_templates_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/builder-templates/{template_id}": {"get": {"operationId": "get_template", "summary": "Get template", "description": "Scopes: builders:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["builder-templates"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:read"], "x-rate-limit-bucket": "read", "x-source": "routes.bot_templates_bp", "parameters": [{"name": "template_id", "in": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/builder-templates/{template_id}/create": {"post": {"operationId": "create_from_template", "summary": "Create from template", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builder-templates"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.bot_templates_bp", "parameters": [{"name": "template_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder_template.create", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builder-templates/{template_id}/preview": {"post": {"operationId": "preview_template", "summary": "Preview template", "description": "Scopes: builders:test. Rate limit: 300 requests per 60 s per key (read).", "tags": ["builder-templates"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:test"], "x-rate-limit-bucket": "read", "x-source": "routes.bot_templates_bp", "parameters": [{"name": "template_id", "in": "path", "required": true, "schema": {"type": "string"}}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders": {"get": {"operationId": "list_builders", "summary": "List builders", "description": "Scopes: builders:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_builders_bp", "parameters": [], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}, "post": {"operationId": "create_builder", "summary": "Create builder", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_builders_bp", "parameters": [{"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.create", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}": {"get": {"operationId": "get_builder", "summary": "Get builder", "description": "Scopes: builders:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_builders_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}, "patch": {"operationId": "rename", "summary": "Rename", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.rename", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}, "delete": {"operationId": "delete_bot", "summary": "Delete bot", "description": "Scopes: builders:write. Rate limit: 10 requests per 600 s per key (publish). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "publish", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.delete"}}, "/builders/{builder_id}/bot-messages": {"get": {"operationId": "get_bot_messages", "summary": "Get bot messages", "description": "Scopes: builders:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}, "put": {"operationId": "set_bot_messages", "summary": "Set bot messages", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.bot_messages", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/bricks": {"post": {"operationId": "create_brick", "summary": "Create brick", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.brick.create", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/bricks/{brick_id}": {"patch": {"operationId": "update_brick", "summary": "Update brick", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "brick_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.brick.update", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}, "delete": {"operationId": "delete_brick", "summary": "Delete brick", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "brick_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.brick.delete"}}, "/builders/{builder_id}/build": {"post": {"operationId": "build_post", "summary": "Build", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.build", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/doctor": {"get": {"operationId": "doctor_report", "summary": "Doctor report", "description": "Scopes: builders:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/builders/{builder_id}/doctor/copy": {"post": {"operationId": "doctor_copy", "summary": "Doctor copy", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.doctor.copy", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/duplicate": {"post": {"operationId": "duplicate_bot", "summary": "Duplicate bot", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.duplicate", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/edges": {"post": {"operationId": "add_edge", "summary": "Add edge", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_builders_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.edge.create", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/edges/{edge_id}": {"delete": {"operationId": "delete_edge", "summary": "Delete edge", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_builders_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "edge_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.edge.delete"}}, "/builders/{builder_id}/flow": {"get": {"operationId": "get_flow_get", "summary": "Get flow", "description": "Scopes: builders:read. Rate limit: 300 requests per 60 s per key (read).", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:read"], "x-rate-limit-bucket": "read", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}}}, "/builders/{builder_id}/layout": {"post": {"operationId": "auto_layout", "summary": "Auto layout", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_builders_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.layout", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/nodes": {"post": {"operationId": "add_node_post", "summary": "Add node", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_builders_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.node.create", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/nodes/{node_id}": {"patch": {"operationId": "update_node_patch", "summary": "Update node", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_builders_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "node_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.node.update", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}, "delete": {"operationId": "delete_node_delete", "summary": "Delete node", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_builders_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "node_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"200": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.node.delete"}}, "/builders/{builder_id}/nodes/{node_id}/duplicate": {"post": {"operationId": "duplicate_node", "summary": "Duplicate node", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "node_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.node.duplicate", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/nodes/{node_id}/test-http": {"post": {"operationId": "test_http_step", "summary": "Test http step", "description": "Scopes: builders:test. Rate limit: 30 requests per 600 s per key (test). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:test"], "x-rate-limit-bucket": "test", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"name": "node_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.http_test", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/nodes/delete": {"post": {"operationId": "delete_nodes", "summary": "Delete nodes", "description": "Scopes: builders:write. Rate limit: 120 requests per 60 s per key (write). Write: send an Idempotency-Key; audited.", "tags": ["builders"], "security": [{"ApiKey": []}], "x-required-scopes": ["builders:write"], "x-rate-limit-bucket": "write", "x-source": "routes.public_chatbots_bp", "parameters": [{"name": "builder_id", "in": "path", "required": true, "schema": {"type": "string"}}, {"$ref": "#/components/parameters/IdempotencyKey"}], "responses": {"2XX": {"description": "Success (JSON). Lists: {data, next_cursor}; pass next_cursor as `cursor`.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}}, "content": {"application/json": {"schema": {"type": "object"}}}}, "400": {"$ref": "#/components/responses/Problem"}, "401": {"$ref": "#/components/responses/Problem"}, "403": {"$ref": "#/components/responses/Problem"}, "404": {"$ref": "#/components/responses/Problem"}, "409": {"$ref": "#/components/responses/Problem"}, "429": {"description": "Too many requests: wait Retry-After seconds.", "headers": {"RateLimit-Limit": {"$ref": "#/components/headers/RateLimit-Limit"}, "RateLimit-Remaining": {"$ref": "#/components/headers/RateLimit-Remaining"}, "RateLimit-Reset": {"$ref": "#/components/headers/RateLimit-Reset"}, "X-Request-ID": {"$ref": "#/components/headers/X-Request-ID"}, "Retry-After": {"schema": {"type": "integer"}}}, "content": {"application/problem+json": {"schema": {"$ref": "#/components/schemas/Problem"}}}}, "503": {"$ref": "#/components/responses/Problem"}}, "x-audit-action": "builder.nodes.delete", "requestBody": {"required": false, "content": {"application/json": {"schema": {"type": "object"}}}}}}, "/builders/{builder_id}/publish": {"post": {"operationId": "publish_post", "summary": "Publish", "description": 
[...]
